/*****************************************************************
 * Copyright (c) ParaSoft Corporation 1991.  All rights reserved.*
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ParaSoft       *
 * The copyright notice above does not evidence any              *
 * actual or intended publication of such source code.           *
 *****************************************************************/

#include "extern.h"

int current_pass = PASS_PARSE;

main(argc, argv)
int argc;
char *argv[];
{
#ifdef CHECK
	U_check_begin(1);	/* 0: no checking, 1: some checking, * 2: checking */
#else
	U_check_begin(0);
#endif

	prot ();

	args(argc, argv);

#ifdef RELEASE
	U_on_core_dump (error_core, error_quit);
#else
	if (flag_nocore)
		U_no_core_dump();
#endif

#ifdef DEBUG
		U_malloc_stat_init();
#endif

	init();

	yyparse();

	if (state [state_level] != STATE_OUT) {
		zzlineno--;
		fatal ("missing END statement");
		zzlineno++;
	}

#ifdef KO
	if (flag_ko)
		ko_main ();
#endif

#ifdef DEBUG
	U_malloc_stat (); /* * !!! screws output ... mallocmap () */
#endif

#ifdef CHECK
	check();
#endif

	error_check();  /* must be the last as it will call exit (1)if some error occured */

	exit (0);
}
